use std::convert::Infallible;

use futures::future::BoxFuture;

use super::Selector;

#[derive(Debug, Copy, Clone)]
pub struct AnySelector;

impl Selector for AnySelector {
    type Error = Box<Infallible>;
    type Response = BoxFuture<'static, Result<bool, Self::Error>>;

    fn review(&self, message: String) -> Self::Response {
        Box::pin(async move { Ok(message.len() != 0) })
    }
}

impl AnySelector {
    pub fn new() -> Self {
        Self {}
    }
}
